Subject: Re: [PATCH] fix e100 rx path on ARM (was [PATCH] e100 rx: or s and el bits)

From: "Kok, Auke" <[email-masked]>
Date: Fri, 01 Jun 2007 15:13:41 -0700

Jeff Garzik wrote:
> David Acker wrote:
>> Milton Miller wrote:

<snip>

>> the el flag but we leave the size was 0 bit set.  This was we can find
>> this buffer again later.
>>
>> If the hardware sees the el-bit cleared without the size set, it will
>> move on to the next buffer and skip this one.  If it sees
>> the size set but the el-bit still set, it will complete that buffer
>> and then RNR interrupt and wait.
>>
>>
>> Signed-off-by: David Acker <[email-masked]>
> 
> That seems to vaguely match my memory of what eepro100 was doing (or 
> trying to do).
> 
> I _really_ appreciate you working on this problem.  Getting e100 driver 
> stable for the long term, and ditching eepro100, is a big hurdle to 
> cross.  Getting this right is really one of the last steps.

yes, absolutely agreed. I'm very pleased with the attention and hope that is 
clear to everyone.

> The patch looks OK at quick glance.

Besides copying the style errors, it looks OK as well. I will attempt to 
allocate some testing time again early next week on a small library of e100 nics 
over here. Mostly x86, but still useful to spot obvious mistakes.

Auke